Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Class BindingContext

`java.lang.Object
oracle.adf.model.BindingContext`

All Implemented Interfaces:
  java.util.Map, java.io.Serializable

public class BindingContext
extends java.lang.Object
implements java.io.Serializable, java.util.Map

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`static java.lang.String` | `APPLICATION_DEF`
`static java.lang.String` | `BINDINGS_HELPER`
`static byte` | `CLIENT_TYPE_ABSTRACT`
`static byte` | `CLIENT_TYPE_JCLIENT`
`static java.lang.String` | `CONTEXT_HELPER`
`static java.lang.String` | `CONTEXT_ID`
`static java.lang.String` | `DEFAULT_DATA_CONTROL`
`static java.lang.String` | `ERROR_HANDLER`
`static java.lang.String` | `HTTP_REQUEST`
`static java.lang.String` | `HTTP_RESPONSE`
`static java.lang.String` | `INPUT_VALUE_HANDLERS`
`static java.lang.String` | `IS_INITIALIZED`
`static java.lang.String` | `LOCALE_CONTEXT`
`static java.lang.String` | `MAP_RESOLVER`
`static java.lang.String` | `RESERVED_BINDINGS`

Constructor Summary
`BindingContext()`
`BindingContext(int size)`

Method Summary
`void` | `addPersistentState(java.lang.String name, java.io.Serializable psState)` Deprecated. since 10.1.3. Applications should use the StateManager instead. See `StateManager`
`java.util.Iterator` | `bindingContainersIterator()`
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Iterator` | `dataControlsIterator()`
`java.util.Set` | `entrySet()`
`oracle.adf.model.binding.DCBindingContainer` | `findBindingContainer(java.lang.String name)`
`oracle.adf.model.binding.DCBindingContainer` | `findBindingContainerByPath(java.lang.String path)` Given the view path, find a mapping entry in this BindingContext's pageMap definition and return a bindingContainer whose usage name maps the value of the mapped entry.
`java.lang.String` | `findBindingContainerIdByPath(java.lang.String path)` Given the view path, find a mapping entry in this BindingContext's pageMap definition and return the mapped value which should be a bindingContainer ID that can be used to lookup a bindingContainer instance in this BindingContext.
`oracle.adf.model.binding.DCDataControl` | `findDataControl(java.lang.String name)`
`java.io.Serializable` | `findPersistentState(java.lang.String name)` Deprecated. since 10.1.3. Applications should use the StateManager instead. See `StateManager`
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.Object` | `getBindingInputHandler(java.lang.String type)`
`oracle.jbo.mom.DefinitionObject` | `getDef()`
`oracle.adf.model.binding.DCDataControl` | `getDefaultDataControl()` Internal: Applications should not use this class. Only for use in JClient internally to get to JUApplication.
`oracle.adf.model.binding.DCErrorHandler` | `getErrorHandler()`
`oracle.jbo.LocaleContext` | `getLocaleContext()`
`oracle.jbo.SessionContext` | `getSessionContext()`
`void` | `initializeSessionContext(oracle.jbo.SessionContext currentSession)` Internal: Applications should not use this class.
`boolean` | `isEmpty()`
`boolean` | `isGenericApp()`
`boolean` | `isJClientApp()` Internal: Applications should not use this class.
`java.util.Set` | `keySet()`
`java.util.Iterator` | `keysIterator()` Returns a thread safe keys iterator.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map t)`
`void` | `release()` Release the datacontrols first and then all the contained binding containers.
`java.lang.Object` | `remove(java.lang.Object key)`
`void` | `removePersistentState(java.lang.String name)` Deprecated. since 10.1.3. Applications should use the StateManager instead. See `StateManager`
`void` | `setBindingInputHandlers(java.util.Map map)`
`void` | `setClientAppType(byte clientType)` Internal: Applications should not use this class.
`oracle.binding.BindingContainer` | `setCurrentBindingsEntry(oracle.binding.BindingContainer bindings)`
`void` | `setErrorHandler(oracle.adf.model.binding.DCErrorHandler errHandlerObj)`
`void` | `setLocaleContext(oracle.jbo.LocaleContext lCtx)`
`void` | `setSessionContext(oracle.jbo.SessionContext currentSession)` Internal: Applications should not use this class.
`int` | `size()`
`java.util.Collection` | `values()`
`java.util.Iterator` | `valuesIterator()` Returns a thread safe values iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### RESERVED_BINDINGS

    public static final java.lang.String RESERVED_BINDINGS

  See Also:
    Constant Field Values

### CONTEXT_HELPER

    public static final java.lang.String CONTEXT_HELPER

  See Also:
    Constant Field Values

### BINDINGS_HELPER

    public static final java.lang.String BINDINGS_HELPER

  See Also:
    Constant Field Values

### CONTEXT_ID

    public static final java.lang.String CONTEXT_ID

  See Also:
    Constant Field Values

### DEFAULT_DATA_CONTROL

    public static final java.lang.String DEFAULT_DATA_CONTROL

  See Also:
    Constant Field Values

### LOCALE_CONTEXT

    public static final java.lang.String LOCALE_CONTEXT

  See Also:
    Constant Field Values

### ERROR_HANDLER

    public static final java.lang.String ERROR_HANDLER

  See Also:
    Constant Field Values

### MAP_RESOLVER

    public static final java.lang.String MAP_RESOLVER

  See Also:
    Constant Field Values

### HTTP_REQUEST

    public static final java.lang.String HTTP_REQUEST

  See Also:
    Constant Field Values

### HTTP_RESPONSE

    public static final java.lang.String HTTP_RESPONSE

  See Also:
    Constant Field Values

### INPUT_VALUE_HANDLERS

    public static final java.lang.String INPUT_VALUE_HANDLERS

  See Also:
    Constant Field Values

### APPLICATION_DEF

    public static final java.lang.String APPLICATION_DEF

  See Also:
    Constant Field Values

### IS_INITIALIZED

    public static final java.lang.String IS_INITIALIZED

  See Also:
    Constant Field Values

### CLIENT_TYPE_ABSTRACT

    public static byte CLIENT_TYPE_ABSTRACT

### CLIENT_TYPE_JCLIENT

    public static byte CLIENT_TYPE_JCLIENT

Constructor Detail

### BindingContext

    public BindingContext(int size)

### BindingContext

    public BindingContext()

Method Detail

### getDef

    public oracle.jbo.mom.DefinitionObject getDef()

### setLocaleContext

    public void setLocaleContext(oracle.jbo.LocaleContext lCtx)

### getLocaleContext

    public oracle.jbo.LocaleContext getLocaleContext()

### setErrorHandler

    public void setErrorHandler(oracle.adf.model.binding.DCErrorHandler errHandlerObj)

### setClientAppType

    public void setClientAppType(byte clientType)

  Internal: Applications should not use this class.

### isJClientApp

    public boolean isJClientApp()

  Internal: Applications should not use this class.

### isGenericApp

    public boolean isGenericApp()

### getErrorHandler

    public final oracle.adf.model.binding.DCErrorHandler getErrorHandler()

### setCurrentBindingsEntry

    public final oracle.binding.BindingContainer setCurrentBindingsEntry(oracle.binding.BindingContainer bindings)

### getDefaultDataControl

    public oracle.adf.model.binding.DCDataControl getDefaultDataControl()

  Internal: Applications should not use this class. Only for use in JClient internally to get to JUApplication.

### initializeSessionContext

    public void initializeSessionContext(oracle.jbo.SessionContext currentSession)

  Internal: Applications should not use this class.

### setSessionContext

    public void setSessionContext(oracle.jbo.SessionContext currentSession)

  Internal: Applications should not use this class.

### getSessionContext

    public oracle.jbo.SessionContext getSessionContext()

### release

    public void release()

  Release the datacontrols first and then all the contained binding containers.

### findDataControl

    public oracle.adf.model.binding.DCDataControl findDataControl(java.lang.String name)

### findBindingContainer

    public oracle.adf.model.binding.DCBindingContainer findBindingContainer(java.lang.String name)

### findPersistentState

    public java.io.Serializable findPersistentState(java.lang.String name)

  Deprecated. since 10.1.3. Applications should use the StateManager instead. See `StateManager`
  Returns:
    A persistent state for the specified name. If a persistent state is not found for the name then return null.

### addPersistentState

    public void addPersistentState(java.lang.String name,
                                   java.io.Serializable psState)

  Deprecated. since 10.1.3. Applications should use the StateManager instead. See `StateManager`
  Internal: Applications should not use this class.

### removePersistentState

    public void removePersistentState(java.lang.String name)

  Deprecated. since 10.1.3. Applications should use the StateManager instead. See `StateManager`
  Internal: Applications should not use this class.

### valuesIterator

    public java.util.Iterator valuesIterator()

  Returns a thread safe values iterator.

### dataControlsIterator

    public java.util.Iterator dataControlsIterator()

### bindingContainersIterator

    public java.util.Iterator bindingContainersIterator()

### keysIterator

    public java.util.Iterator keysIterator()

  Returns a thread safe keys iterator.

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map t)

  Specified by:
    `putAll` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### getBindingInputHandler

    public java.lang.Object getBindingInputHandler(java.lang.String type)

### setBindingInputHandlers

    public void setBindingInputHandlers(java.util.Map map)

### findBindingContainerByPath

    public oracle.adf.model.binding.DCBindingContainer findBindingContainerByPath(java.lang.String path)

  Given the view path, find a mapping entry in this BindingContext's pageMap definition and return a bindingContainer whose usage name maps the value of the mapped entry. Returns null if no matching entry found.

### findBindingContainerIdByPath

    public java.lang.String findBindingContainerIdByPath(java.lang.String path)

  Given the view path, find a mapping entry in this BindingContext's pageMap definition and return the mapped value which should be a bindingContainer ID that can be used to lookup a bindingContainer instance in this BindingContext. Returns null if no matching entry found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.